Feature #5760

Specify VM hardware version for new virtual hosts

Added by Matt Chesler about 4 years ago. Updated 8 days ago.

Status:Closed
Priority:Normal
Assignee:Michael Moll
Category:Compute resources
Target version:1.6.0
Difficulty: Team Backlog:
Triaged: Fixed in Releases:
Bugzilla link: Found in Releases:
Pull request:https://github.com/theforeman/foreman/pull/1531

Description

Creating a new VMware machine via Foreman appears to result in a VM with the latest hardware revision (vmx-9 for vSphere 5.1, vmx-10 for vSphere 5.5). We are running vSphere 5.5, but we intentionally maintain our VMs at vmx-9. We need the ability to specify VM hardware version to prevent VMs from getting the "default"


Related issues

Related to Foreman - Feature #1946: Addition VMWare options required for VM creation Resolved 11/15/2012
Blocked by Foreman - Bug #6670: Update fog to 1.23 Closed 07/17/2014

Associated revisions

Revision 26975bf5
Added by Michael Moll almost 4 years ago

fixes #5760 - selectable VMware virtual HW version

History

#1 Updated by Dominic Cleal about 4 years ago

  • Category set to Compute resources

#3 Updated by Dominic Cleal about 4 years ago

  • Status changed from New to Ready For Testing
  • Assignee set to Michael Moll
  • Target version set to 1.8.1

#4 Updated by Dmitri Dolguikh about 4 years ago

  • Target version changed from 1.8.1 to 1.8.0

#5 Updated by Michael Moll about 4 years ago

  • Blocked by Bug #6670: Update fog to 1.23 added

#6 Updated by Michael Moll about 4 years ago

  • Related to Feature #1946: Addition VMWare options required for VM creation added

#7 Updated by The Foreman Bot almost 4 years ago

  • Pull request https://github.com/theforeman/foreman/pull/1531 added

#8 Updated by Dominic Cleal almost 4 years ago

  • Legacy Backlogs Release (now unused) set to 10

#9 Updated by Michael Moll almost 4 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

Also available in: Atom PDF